%define xtag X11R7.3
%define tarball xf86-video-ati
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%ifarch %{ix86} x86_64 
%define with_dri	1
%else
%define with_dri	0
%endif

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 ati video driver
Name:      	xorg-x11-drv-ati
Version:   	6.7.197
Release:   	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	%{tarball}-%{version}.tar.bz2
Source1:   	ati.xinf
Source2:   	r128.xinf
Source3:   	radeon.xinf

# Radeon patches (0-99)
Patch0:    	radeon-6.6.1-dotclock-filter.patch
Patch1:	   	radeon-6.6.1-use-mtdriver.patch

# Rage 128 patches (100-199)
Patch100:  	r128-missing-xf86ForceHWCursor-symbol-bug168753.patch

# ati wrapperloader patches (300-399)
Patch300: ati-prefer-radeon-then-r128.patch

ExclusiveArch: 	%{ix86} x86_64 ia64 ppc alpha sparc sparc64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk >= 1.1.1
%if %{with_dri}
BuildRequires: 	mesa-libGL-devel
BuildRequires: 	libdrm-devel
%endif
BuildRequires:	pixman-devel

Requires:  	xorg-x11-server-Xorg >= 1.1.1
Obsoletes:	Xdriver-ati

%description 
X.Org X11 ati video driver.

%prep
%setup -q -n %{tarball}-%{version}
#%patch0 -p1 -b .dotclock-filter
#%patch1 -p1 -b .mtdriver
%patch100 -p0 -b .r128-missing-xf86ForceHWCursor-symbol-bug168753
#%patch300 -p1 -b .prefer

#if [ -e autogen.sh ]; then
#	./autogen.sh
#fi

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# INFO: We don't want to ship the libtool archives (*.la) from modules
# directory, as they serve no useful purpose.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/ati_drv.so
%{driverdir}/atimisc_drv.so
%{driverdir}/r128_drv.so
%{driverdir}/radeon_drv.so
%{_datadir}/hwdata/videoaliases/ati.xinf
%{_datadir}/hwdata/videoaliases/r128.xinf
%{_datadir}/hwdata/videoaliases/radeon.xinf
%dir %{moduledir}/multimedia
%{moduledir}/multimedia/theatre200_drv.so
%{moduledir}/multimedia/theatre_detect_drv.so
%{moduledir}/multimedia/theatre_drv.so
#%dir %{_mandir}/man4x
%{_mandir}/man4/ati.4*
%{_mandir}/man4/r128.4*
%{_mandir}/man4/radeon.4*

%changelog
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.197-1
- Version update
* Sat Nov 13 2007 Stefan Gottwald <gotti@ccux-linux.de> 6.7.196-1
- Version update
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.195-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.7.192-1
- Version update
* Tue Aug 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.6.193-1
- Version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.6.192-1
- Version update
* Fri Nov 24 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.3-2
- stable 6.6.3 version update
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 6.6.3-1
- Version Update to git version
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.2-2
- Added obsoletes for old xorg package
* Sun Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.2-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 6.6.1-1
- Initial release
